CVE-2018-16646

Priority
Description
In Poppler 0.68.0, the Parser::getObj() function in Parser.cc may cause
infinite recursion via a crafted file. A remote attacker can leverage this
for a DoS attack.
Assigned-to
leosilva
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 LTS (Trusty Tahr):released (0.24.5-2ubuntu4.13)
Ubuntu 16.04 LTS (Xenial Xerus):released (0.41.0-0ubuntu1.9)
Ubuntu 18.04 LTS (Bionic Beaver):released (0.62.0-2ubuntu2.4)
Ubuntu 18.10 (Cosmic Cuttlefish):released (0.68.0-0ubuntu1.2)
Ubuntu 19.04 (Disco Dingo):needed
Patches:
Upstream:https://gitlab.freedesktop.org/poppler/poppler/commit/3d35d209c19c1d3b09b794a0c863ba5de44a9c0a
More Information

Updated: 2018-12-11 18:14:22 UTC (commit 53c8457506d308575887ea09b732b81a24d68212)